.counter {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: transparent; }
  .counter.preloader {
    pointer-events: none; }
    .counter.preloader:before {
      width: 30px;
      height: 30px;
      top: calc(50% - 15px);
      left: calc(50% - 15px);
      border: 3px solid #eee;
      border-top-color: #FF6B00; }
    .counter.preloader > * {
      filter: none; }

.disabled-text {
  position: absolute;
  top: calc(100% + 4px);
  left: 0;
  width: 100%;
  display: none;
  text-align: center;
  white-space: nowrap;
  color: #13162B;
  font-size: 10px;
  line-height: 1; }
  @media (max-width: 419px) {
    .disabled-text {
      font-size: 9px; } }
  .disabled-text.red {
    color: #EB5757; }

.counter-input {
  position: relative;
  width: auto;
  max-width: 80px;
  height: 48px;
  display: flex;
  box-sizing: border-box;
  margin: 0px 4px;
  padding: 10px;
  text-align: center;
  color: #13162B;
  border: 1px solid transparent;
  border-radius: 2px;
  outline: none;
  font-size: 16px;
  font-weight: 700;
  line-height: 1; }
  @media (max-width: 1249px) {
    .counter-input {
      max-width: 34px;
      height: 34px; } }
  .counter-input:focus {
    border: 1px solid #edeef2; }

.counter-btn {
  position: relative;
  width: 48px;
  height: 48px;
  flex-shrink: 0;
  margin: 0;
  padding: 0;
  cursor: pointer;
  transition: all .3s ease;
  color: transparent;
  border: 1px solid #edeef2;
  background: transparent;
  font-size: 0; }
  @media (max-width: 1249px) {
    .counter-btn {
      width: 34px;
      height: 34px; } }
  @media (min-width: 1100px) {
    .counter-btn:hover {
      box-shadow: 0px 4px 15px #ededed; } }
  .counter-btn:before, .counter-btn:after {
    position: absolute;
    top: calc(50% - 1px);
    left: calc(50% - 8px);
    width: 16px;
    height: 2px;
    display: block;
    content: '';
    background: #FF6B00; }
  .counter-btn:before {
    transform: rotate(-90deg); }
  .counter-btn[disabled], .counter-btn.disabled {
    cursor: default;
    pointer-events: none; }
    .counter-btn[disabled]:before, .counter-btn[disabled]:after, .counter-btn.disabled:before, .counter-btn.disabled:after {
      background: #C9CBD4; }

.counter-minus {
  order: -1; }
  .counter-minus:before {
    display: none; }

.counter-plus[disabled] ~ .disabled-text, .counter-plus.disabled ~ .disabled-text {
  display: block; }

.disabled-text.active {
  display: block; }
